import { SwaggerParameter } from './SwaggerParameterType';
import { SwaggerRequestBody } from './SwaggerRequestBodyType';
import { SwaggerResponse } from './SwaggerResponseType';
declare class SwaggerDoc {
    private method;
    private route?;
    private summary?;
    private description?;
    private requestBody?;
    private parameters;
    private responses;
    static get(route: string): SwaggerDoc;
    static post(route: string): SwaggerDoc;
    private constructor();
    private setRoute;
    setSummary(summary: string): SwaggerDoc;
    setDescription(description: string): SwaggerDoc;
    setRequestBody(requestBody: SwaggerRequestBody): SwaggerDoc;
    addParameter(param: SwaggerParameter): SwaggerDoc;
    addResponse(res: SwaggerResponse): SwaggerDoc;
    toAnnotation(): string;
    private getMethod;
    private deserializeSchema;
    private repeatStr;
}
export { SwaggerDoc };
